NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Protected Member Functions | Properties | List of all members
NXOpen.CAE.BeamSectionOptions Class Reference

Represents the synchronize options to be used when a FEM part is created These options will be used to synchronize the specified entities from the master CAD part file to the FEM part file More...

Inheritance diagram for NXOpen.CAE.BeamSectionOptions:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Protected Member Functions

override void FreeResource ()
 Destroys the object More...
 

Properties

unsafe NXOpen.CAE.BeamSection BeamAftSection [get, set]
 Returns or sets the section of aft beam end More...
 
unsafe NXOpen.CAE.BeamSection BeamForeSection [get, set]
 Returns or sets the section of fore beam end More...
 
unsafe bool BeamSectionTapered [get, set]
 Returns or sets the flag indicating whether the beam section is tapered More...
 
unsafe bool BeamSectionTaperedChaining [get, set]
 Returns or sets the flag indicating whether the beam section is in tapered chaining More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 

Detailed Description

Represents the synchronize options to be used when a FEM part is created These options will be used to synchronize the specified entities from the master CAD part file to the FEM part file

To create a new instance of this class, use NXOpen.CAE.CaePart.NewBeamSectionOptions

Created in NX5.0.0

Member Function Documentation

override void NXOpen.CAE.BeamSectionOptions.FreeResource ( )
inlineprotectedvirtual

Destroys the object

Created in NX5.0.0

License requirements: None.

Implements NXOpen.TransientObject.

Property Documentation

unsafe NXOpen.CAE.BeamSection NXOpen.CAE.BeamSectionOptions.BeamAftSection
getset

Returns or sets the section of aft beam end

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.CAE.BeamSection NXOpen.CAE.BeamSectionOptions.BeamForeSection
getset

Returns or sets the section of fore beam end

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.BeamSectionOptions.BeamSectionTapered
getset

Returns or sets the flag indicating whether the beam section is tapered

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe bool NXOpen.CAE.BeamSectionOptions.BeamSectionTaperedChaining
getset

Returns or sets the flag indicating whether the beam section is in tapered chaining

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.